<template>
	<div class="list" :class="{ checkbox: checkbox }">
		<div class="header" v-if="!checkbox">
			<h3>Лента операций</h3>
		</div>
		<div v-if="$interface.isMobile" class="field-filter">
			<div class="fields-selector" @click="selector = !selector">
				<span>Отображение полей</span>
				<SVGIcon xlink="collapse-20" :fill="$theme.colors.blue" :rotate="selector ? 180 : 0"></SVGIcon>
			</div>
			<transition name="fade">
				<div v-if="selector" class="selector">
					<div class="field ui-checkbox">
						<ui-checkbox v-model="field.date"></ui-checkbox>
						<span>Дата</span>
					</div>
					<div class="field ui-checkbox">
						<ui-checkbox v-model="field.shop"></ui-checkbox>
						<span>Магазин</span>
					</div>
					<div class="field ui-checkbox">
						<ui-checkbox v-model="field.amount"></ui-checkbox>
						<span>Сумма</span>
					</div>
					<div class="field ui-checkbox">
						<ui-checkbox v-model="field.status"></ui-checkbox>
						<span>Статус</span>
					</div>
					<div class="field ui-checkbox">
						<ui-checkbox v-model="field.document"></ui-checkbox>
						<span>Договор</span>
					</div>
				</div>
			</transition>
		</div>
		<div class="operations-container">
			<div class="operations-container__wrapper">
				<div class="titles" :class="{ checkbox: checkbox }">
					<div class="cell checkbox" v-if="checkbox">
						<ui-checkbox @change="toggleAll"></ui-checkbox>
					</div>
					<div class="cell date" v-if="$interface.isMobile && field.date">Дата</div>
					<div class="cell shop" v-if="$interface.isMobile && field.shop">Магазин</div>
					<div class="cell amount" v-if="$interface.isMobile && field.amount">Сумма</div>
					<div class="cell status" v-if="$interface.isMobile && field.status">Статус</div>
					<div class="cell docs" v-if="$interface.isMobile && field.document">Договор</div>
				</div>

				<operation-item v-for="item in list" :key="item.id" :item="item" :fields="field" :checkbox="checkbox"></operation-item>
			</div>
		</div>
	</div>
</template>

<script>
	import OperationItem from './operation-item';
	import SVGIcon from '@/components/SVGIcon';

	export default {
		name: 'component-pos-operations-list',
		components: {
			OperationItem,
			SVGIcon
		},
		props: {
			list: {
				required: true,
				type: Array,
			},
			checkbox: {
				required: false,
				type: Boolean
			}
		},

		data() {
			return {
				selector: false,
				field: {
					date: false,
					shop: true,
					amount: false,
					status: true,
					document: true
				}
			}
		},

		methods: {
			toggleAll () {

			}
		}

	};
</script>

<style scoped>

</style>
